# Battleship

## Description

Battleship is a web-based game where players strategically place ships on a grid and attempt to sink their opponent's ships by guessing their locations. This project is a digital implementation of the classic board game, built using JavaScript.

## Local Development

### Prerequisites

-   Node.js (with npm)

### Installation

1.  **Navigate to the project directory:**
```
bash
    cd battleship
    
```
2.  **Install dependencies:**
```
bash
    npm install
    
```
### Build

1.  **Build the project:**
    This project uses webpack to bundle the code.
```
bash
    npm run build
    
```
### Run

1.  **Start the development server:**
```
bash
    npm start
    
```
2.  **Open the game:**

    Open your web browser and navigate to `http://localhost:8080` to play the game.

### Tests

1.  **Run the test suite:**

```
bash
    npm test
    
```
This command will run the test suite using jest.